Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.etee.impl
Class ConnectorMockRevocationStatusChecker

    java.lang.Object
      be.ehealth.technicalconnector.service.etee.impl.ConnectorMockRevocationStatusChecker

All Implemented Interfaces:
  RevocationStatusChecker

Deprecated. do not use this in production

    @Deprecated
    public final class ConnectorMockRevocationStatusChecker

extends Object
implements RevocationStatusChecker

Implementation of `RevocationStatusChecker`

Constructor Summary
`ConnectorMockRevocationStatusChecker()` Deprecated.

Method Summary
`boolean` | `isRevoked(X509Certificate x509certificate)` Deprecated.
`boolean` | `isRevoked(X509Certificate cert, org.joda.time.DateTime validOn)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorMockRevocationStatusChecker

    public ConnectorMockRevocationStatusChecker()

  Deprecated.

Method Detail

### isRevoked

    public boolean isRevoked(X509Certificate x509certificate)
                      throws CertificateException

  Deprecated.
  Specified by:
    `isRevoked` in interface `RevocationStatusChecker`
  Throws:
    `CertificateException`

### isRevoked

    public boolean isRevoked(X509Certificate cert,
                             org.joda.time.DateTime validOn)
                      throws CertificateException

  Deprecated.
  Specified by:
    `isRevoked` in interface `RevocationStatusChecker`
  Throws:
    `CertificateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.